package stoneerror

import (
	"time"
)

type StoneError struct {
	Code     int                    `json:"code"`
	Message  string                 `json:"message"`
	Time     time.Time              `json:"time"`
	Metadata map[string]interface{} `json:"metadata"`
	Err      error                  `json:"-"`
}
